%global momorel 1
%define glib2_version 2.50.0
%define vala_version 0.18.0

Name:           dconf
Version: 0.30.0
Release: %{momorel}m%{?dist}
Summary:        A configuration system

Group:          System Environment/Base
License:        "LGPLv2+ and GPLv2+ and GPLv3+"
URL:            http://live.gnome.org/dconf
#VCS:           git:git://git.gnome.org/dconf
Source0: http://download.gnome.org/sources/dconf/0.30/dconf-%{version}.tar.xz
NoSource: 0

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gtk3-devel
BuildRequires:  libxml2-devel
BuildRequires:  dbus-devel
BuildRequires:  vala-devel >= %{vala_version}
BuildRequires:  gtk-doc
BuildRequires:  intltool

Requires:       dbus
Requires:	glib2 >= %{glib2_version}

%description
dconf is a low-level configuration system. Its main purpose is to provide a
backend to the GSettings API in GLib.

%package devel
Summary: Header files and libraries for dconf development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= %{glib2_version}

%description devel
dconf development package. Contains files needed for doing software
development using dconf.

%prep
%setup -q

%build
%meson -Dgtk_doc=true
%meson_build


%install
rm -rf %{buildroot}

%meson_install

mkdir -p %{buildroot}/%{_sysconfdir}/dconf/profile

cat << EOF > %{buildroot}/%{_sysconfdir}/dconf/profile/user
user-db:user
system-db:local
system-db:site
system-db:distro
EOF

mkdir -p %{buildroot}%{_sysconfdir}/dconf/db/local.d/locks
mkdir -p %{buildroot}%{_sysconfdir}/dconf/db/site.d/locks
mkdir -p %{buildroot}%{_sysconfdir}/dconf/db/distro.d/locks


%post
/sbin/ldconfig
gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

#%files -f dconf.lang
%files
%doc COPYING
%dir %{_sysconfdir}/dconf
%dir %{_sysconfdir}/dconf/db
%dir %{_sysconfdir}/dconf/profile
%{_sysconfdir}/dconf/profile/user
%{_libdir}/gio/modules/libdconfsettings.so
%{_libexecdir}/dconf-service
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_bindir}/dconf
%{_libdir}/libdconf.so.*
#%%{_libdir}/libdconf-dbus-1.so.*
%{_datadir}/bash-completion/completions/dconf
%{_mandir}/man1/dconf-service.1.bz2
%{_mandir}/man1/dconf.1.bz2
%{_mandir}/man7/dconf.7.bz2

%files devel
%{_includedir}/dconf
%{_libdir}/libdconf.so
%{_libdir}/pkgconfig/dconf.pc
#%%{_includedir}/dconf-dbus-1
#%%{_libdir}/libdconf-dbus-1.so
#%%{_libdir}/pkgconfig/dconf-dbus-1.pc
%{_datadir}/gtk-doc/html/dconf
%{_datadir}/vala

%changelog
* Sat Oct 06 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.30.0-1m)
- update to 0.30.0

* Mon Sep 03 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.29.2-1m)
- update to 0.29.2

* Fri Jun 08 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.28.0-1m)
- update to 0.28.0

* Sat Mar 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.26.0-1m)
- update to 0.26.0

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.22.0-1m)
- update to 0.22.0

* Wed Mar 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.20.0-1m)
- update to 0.20.0

* Thu Mar 20 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19.92-1m)
- update to 0.19.92

* Wed Mar 05 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19.91-1m)
- update to 0.19.91

* Thu Feb 20 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19.90-1m)
- update to 0.19.90

* Fri Jan 17 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19.3-1m)
- update to 0.19.3

* Mon Dec 23 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19.2-1m)
- update to 0.19.2

* Sat Jul 20 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.17.0-1m)
- update to 0.17.0

* Mon Jul  1 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.16.0-1m)
- update to 0.16.0

* Sun Nov 11 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.14.1-1m)
- update to 0.14.1

* Mon Oct 22 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.14.0-1m)
- update to 0.14.0

* Tue Aug 21 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.13.90-1m)
- update to 0.13.90

* Sat Aug 11 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.13.5-1m)
- update to 0.13.5

* Mon Jul 23 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.13.4-1m)
- reimport from fedora

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.0-4m)
- rebuild for glib 2.33.2

* Thu Nov  3 2011 Masahiro Takahata <takahata@momonga-linux.org>
- (0.10.0-3m)
- modify spec

* Thu Oct 27 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (0.10.0-2m)
- require adjustment

* Wed Sep 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.0-1m)
- update to 0.10.0

* Tue Sep 20 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-1m)
- update to 0.9.1

* Tue Aug  9 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.0-1m)
- update to 0.9.0

* Sun May 29 2011 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.5-2m)
- revised BR

* Thu May 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.5-1m)
- update to 0.7.5

* Sun May  8 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.4-1m)
- update to 0.7.4

* Sun May  1 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.3-1m)
- update to 0.7.3

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.1-5m)
- rebuild for new GCC 4.6

* Sat Mar 19 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.1-4m)
- add patch for gcc46

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.1-3m)
- rebuild for new GCC 4.5

* Sun Oct 10 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-2m)
- add gio-querymodules to script

* Sat Oct  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- initial build
